Index: /bootstrapper/bootstrap.sh
===================================================================
--- /bootstrapper/bootstrap.sh	(revision 41)
+++ /bootstrapper/bootstrap.sh	(revision 42)
@@ -103,8 +103,9 @@
 	done
 	
-	ldconfig -p | grep gcc | grep -v 64 > /dev/null
+	ldconfig -p | grep ld-linux | grep "(ELF)" > /dev/null
 	if [ $? -ne 0 ]; then
-		echo "There probably is no 32 Bit version of libgcc installed."
-		echo "Do you want to continue?"
+		echo "WARNING: There probably is no 32 Bit version of ld-linux installed."
+		echo "This is most probably part of a 32 Bit version of a glibc-package."
+		echo "Do you want to continue anyway?"
 		select yn in "Yes" "No"; do
 			case $yn in
@@ -118,4 +119,20 @@
 		done
 	fi
+
+	ldconfig -p | grep gcc | grep -v 64 > /dev/null
+	if [ $? -ne 0 ]; then
+		echo "WARNING: There probably is no 32 Bit version of libgcc installed."
+		echo "Do you want to continue anyway?"
+		select yn in "Yes" "No"; do
+			case $yn in
+				Yes)
+					break;;
+				No)
+					echo "Aborting."
+					exit 1
+					;;
+			esac
+		done
+	fi
 }
 
